<?php

// load system files
require_once("inc.php");

// check login
if(admin_logged){

    // Get Statistic
    $playbacks = $GLOBALS["db"]->views("track", "", "total");
    define("playback_count", array_sum($playbacks));
    define("users_count", $GLOBALS["db"]->count("users"));
    define("favorites_count", $GLOBALS["db"]->count("favorites"));
    $today_t = $GLOBALS["db"]->views("track", "", "today_views", $GLOBALS["admin"]->da_te("today"));
    define("today_tracks_count", array_sum($today_t));
    $week_t = $GLOBALS["db"]->views("track", "", "week_views", $GLOBALS["admin"]->da_te("week"));
    define("week_tracks_count", array_sum($week_t));
    $month_t = $GLOBALS["db"]->views("track", "", "month_views", $GLOBALS["admin"]->da_te("month"));
    define("month_tracks_count", array_sum($month_t));
    $year_t = $GLOBALS["db"]->views("track", "", "year_views", $GLOBALS["admin"]->da_te("year"));
    define("year_tracks_count", array_sum($year_t));
    $today_u = $GLOBALS["db"]->views("user", "", "today_views", $GLOBALS["admin"]->da_te("today"));
    define("today_artists_count", array_sum($today_u));
    $week_u = $GLOBALS["db"]->views("user", "", "week_views", $GLOBALS["admin"]->da_te("week"));
    define("week_artists_count", array_sum($week_u));
    $month_u = $GLOBALS["db"]->views("user", "", "month_views", $GLOBALS["admin"]->da_te("month"));
    define("month_artists_count", array_sum($month_u));
    $year_u = $GLOBALS["db"]->views("user", "", "year_views", $GLOBALS["admin"]->da_te("year"));
    define("year_artists_count", array_sum($year_u));

    // load template
    require_once("template/home.php");

} else {

    // redirect to login page
    header("location: ".$GLOBALS["admin"]->get_url()."login.php");

}

?>