<?php

class admin{

    // Get Languages Values 
    public function lng($op, $style="one"){
        $file = "lang/lng.json";
		$fh_lng = fopen($file, 'r');
		$language = fread($fh_lng, filesize($file));
		$decode_lng = json_decode($language);
		if($style=="one"){
		    return $decode_lng->$op;
		}
		if($style=="all"){ 
		    $array = json_decode(json_encode($decode_lng), true);
		    return $array;
		}
		  
    }	
   
   // Get the languages ​​available
    public function fetch_languages(){
        $lng_cookie = strip_tags($_COOKIE['lng']);
        $sd = scandir("../langs/");
        $scan = array_diff($sd, array(".","..", "index.html"));
		foreach($scan as $language){
		    $file = "../langs/".$language."/lng.json";
		    $fh_lng = fopen($file, 'r');
		    $language_getting = fread($fh_lng, filesize($file));
		    $decode_lng = json_decode($language_getting);
		    $new[$language] = $decode_lng->name;
		}
        return $new;

    }
   
    public function da_te($option="today"){
        $option = strtolower($option);
        if($option=="today"){
            $date = gmdate("j-n-Y");
        }
        if($option=="week"){
            $date = gmdate("W-Y");
        }
        if($option=="month"){
            $date = gmdate("n-Y");
        }
        if($option=="year"){
            $date = gmdate("Y");
        }
        return $date;
    }

   // Get site url
    public function get_url($op="full", $id="", $prtcl="http://"){
        $dir = $_SERVER[SCRIPT_NAME];
        $base = basename($_SERVER[SCRIPT_NAME]);
        $dir = str_replace($base, "", $dir);
        $url = $prtcl.$_SERVER[HTTP_HOST].$dir;
        $admin_dirs = explode("/", $dir);
        $count_dirs = count($admin_dirs)-3;
        $local = $prtcl.$_SERVER[HTTP_HOST]."/".$admin_dirs[$count_dirs];
        if($op=="full"){
            return $url;
        } else if($op=="dir"){
            return $dir;
        } else if($op=="local"){
            $admin_dirs = array_values(array_filter(explode("/", $dir)));
            $count_dirs = count($admin_dirs)-1;
            $new_dirs = "";
            for($I=0;$I<$count_dirs;$I++){
                $new_dirs .= $admin_dirs[$I]."/";
            }
            $local = $prtcl.$_SERVER[HTTP_HOST]."/".$new_dirs;
        return $local;
        }
    }
   
   // Remove Some Tags 
    function strip_some_tags($text){
        $text = preg_replace(
        array(
        '@<html[^>]*?>.*?</html>@siu',
        '@<head[^>]*?>.*?</head>@siu',
        '@<body[^>]*?>.*?</body>@siu',
        '@<div[^>]*?>.*?</div>@siu'
        ),
        array(
        ' ', ' ', ' '), $text );
        $text = str_replace("</div>", "", $text);
	    $text = str_replace("</body>", "", $text);
        return $text;
    }
	
}
?>