<?php

// load system files
require_once("inc.php");

// check login
if(admin_logged){

    if(!empty($_GET['delete']) && !empty($_GET['op'])){

        $id = trim($_GET['delete']);
	    $op = trim($_GET['op']);
	    $col_array = array(
	    "today" => "today_views",
	    "week" => "week_views",
	    "month" => "month_views",
	    "year" => "year_views",
	    "total" => "total"
	    );

	    if(!empty($col_array[$op])){

	        $GLOBALS["db"]->empty_views($id, $col_array[$op]);
	        header("location: top_control.php?u=".$op);
	
	    } else {
	        header("location: top_control.php?u=".$op);
	    }

    }

    $page = trim($_GET['u']);

    //Get Date
    $t_today    = $GLOBALS["admin"]->da_te("today");
    $this_week  = $GLOBALS["admin"]->da_te("week");
    $this_month = $GLOBALS["admin"]->da_te("month");
    $this_year  = $GLOBALS["admin"]->da_te("year");
		
    // Get data from db
    $today_u = $GLOBALS["db"]->top("user", "today_views", $t_today);
    $week_u  = $GLOBALS["db"]->top("user", "week_views", $this_week);
    $month_u = $GLOBALS["db"]->top("user", "month_views", $this_month);
    $year_u  = $GLOBALS["db"]->top("user", "year_views", $this_year);
    $today_t = $GLOBALS["db"]->top("track", "today_views", $t_today);
    $week_t  = $GLOBALS["db"]->top("track", "week_views", $this_week);
    $month_t = $GLOBALS["db"]->top("track", "month_views", $this_month);
    $year_t  = $GLOBALS["db"]->top("track", "year_views", $this_year);
    $total_artists = $GLOBALS["db"]->top_users();
    $total_tracks  = $GLOBALS["db"]->top_tracks();

    // load template
    require_once("template/top_control.php");

} else {

    // redirect to login page
    header("location: ".$GLOBALS["admin"]->get_url()."login.php");

}

?>