<?php

// Load System files
require_once "load.php";

// Get username or id
$permalink = strip_tags($_GET['id']);
// Get permalink
$permalink2 = strip_tags($_GET['pl']);

$track = $GLOBALS["get"]->get_track($permalink);

// check if exists or Not
if(!empty($track->kind)){

    if($permalink2==$track->permalink){

        //check if Browser allow cookies to check
        if($GLOBALS["sys"]->check_cookie() && $track->streamable=="true"){
            $id = trim($track->id);
            $user = trim($track->user->id);
            $all_data_cookies = $_COOKIE['last_track'];
            $array_cookies = explode("__", $all_data_cookies);
            $count_cookies = count($array_cookies);
                if(!in_array($id, $array_cookies)){
                    if($id!="undefined" && $user!="undefined"){

                        // Update Views
                        $GLOBALS["db"]->update_views($id, "track");
                        $GLOBALS["db"]->update_views($user, "user");

                        // protect (SPAM)
                        setcookie("last_track", $all_data_cookies."__".$id, time()+860000, $GLOBALS["sys"]->get_url("dir"));

                    }
                }
            // clear
            if($count_cookies > 6){
                setcookie("last_track", "::".$id, time()+860000, $GLOBALS["sys"]->get_url("dir"));
            }
        }

    // set the second title
    define("title2", $track->title);

    // set meta setting
    $meta_og_image = $GLOBALS["sys"]->img($track->artwork_url, "500");
    
    if( setting_comment_mode == "soundcloud" ){
        // call pagination & Get - Class
        $page = $GLOBALS["pagination"]->comments($permalink);
        $comments_result = $GLOBALS["get"]->get_rows_comments($permalink, $page[0], $page[1]);
        $pagination_print = $page[2];
        // check rows if not empty 
        $check_row = $comments_result[0]->kind;

        if(!empty($check_row)){
            define("not_found", false);
        } else {
            define("not_found", true);
        }
    }
        // load template
        require_once("template/listen.php");
    } else {

        // redirect to the real url
        header("location: ".$GLOBALS["sys"]->get_url()."listen/".$track->permalink."-".$track->id);

    }

}else{

    // redirect to 404 page
    header("location: ".$GLOBALS["sys"]->get_url()."page/404");

}
?>