<?php

//Hide all errors
Error_reporting(E_All);

///Load The requirement Files
require_once 'libs/qrcode/qrcode.php';
require_once 'inc/config.php';
require_once 'sys/load.php';
require_once 'template/config/templates.php';

// If post Change Lang
$GLOBALS["sys"]->change_lang();

// Call Search redir in the sample post (No Pjax)
$GLOBALS["sys"]->search_redir();

// Set the URL	
define("url", $GLOBALS["sys"]->get_url());

// Set SEO settings
define("title1", setting_title);
define("meta_description", setting_description);
define("meta_og_image", setting_og_image);
define("meta_keywords", setting_keywords);

// Set Style
define("style", setting_style);
define("style_color", $templates_array[setting_style]);

// Set Text-align 

define("text_align", strtolower($GLOBALS["sys"]->lng("text_align")));

    // Get all language values
if(is_array($GLOBALS["sys"]->lng("", "all"))) {
    foreach($GLOBALS["sys"]->lng("", "all") as $key => $value)
    {
	    define("lng_".strtolower($key), $value);
    }
}

// SET languages array
$languages_array = $GLOBALS["sys"]->fetch_languages();

// SET checking login
define("user_logged", $GLOBALS["db"]->login($_COOKIE['username'], $_COOKIE['password']));

    if($_GET['u']!="offline" && setting_offline=="On"){
        // redirect to Offline page
	    header("location: ".$GLOBALS["sys"]->get_url()."page/offline");
    }

    if($_GET['u']=="logout"){
	
        // Clear all cookies
	    setcookie("username", "", time()-90000, $GLOBALS["sys"]->get_url("dir"));
	    setcookie("password", "", time()-90000, $GLOBALS["sys"]->get_url("dir"));
	    setcookie("p_name", "", time()-90000, $GLOBALS["sys"]->get_url("dir"));
	    setcookie("p_uid", "", time()-90000, $GLOBALS["sys"]->get_url("dir"));
	    setcookie("p_id", "", time()-90000, $GLOBALS["sys"]->get_url("dir"));
		
        // redirect to Home
	    header("location: ".$GLOBALS["sys"]->get_url());
    }

    if(user_logged){
	    if(is_array($GLOBALS["db"]->get_current_user())) {
            foreach($GLOBALS["db"]->get_current_user() as $key => $value)
            {
	            define("u_".strtolower($key), $value);
            }
		}
    }
	$s_d_p = setting_d_ads;
	if($s_d_p == "On"){
	    define("download_mode", "popup");
	} else {
	    define("download_mode", "direct");
	}
?>