function getCookie(cname) {
	var name = cname + "=";
	var ca = document.cookie.split(';');
	for(var i=0; i<ca.length; i++) {
		var c = ca[i].trim();
		if (c.indexOf(name)==0) return c.substring(name.length,c.length);
	}
	return "";
}
function setCookie(cname,cvalue,exdays) {
	var d = new Date();
	d.setTime(d.getTime()+(exdays*24*60*60*1000));
	var expires = "expires="+d.toGMTString();
	var c_path  = "path="+app_path;
	document.cookie = cname + "=" + cvalue + "; " + expires + "; "+c_path;
}
function setVolume() {
	// Delay the function for a second to get the latest style value
	setTimeout(function() {
		// Get the style attribute value
		var new_volume = $(".jp-volume-bar-value").attr("style");
		
		// Strip off the width text
		var new_volume = new_volume.replace("width: ", "");
		
		// Remove everything after the first two characters 00
		var new_volume = new_volume.substring(0, 2).replace(".", "").replace("%", "");
		
		if(new_volume.length == 1) {
			var new_volume = "0.0"+new_volume;
		} else if(new_volume.length == 2) {
			var new_volume = "0."+new_volume;
		}
		
		// Set the cookie
		setCookie("volume", new_volume, "500");
	}, 1);	
}
function getVolume(){
    if(getCookie("volume") == "") {
		data_volume = 0.80;
		setCookie("volume", 0.80, "500");
	} else {
		data_volume = getCookie("volume");
	}
	return data_volume;
}
function addtofavorites(id){
    $.ajax(
    {
        url : app_url+"post.php?addtofavorites=true",
        type: "POST",
        data : "id="+id,
        success:function(data, textStatus, jqXHR)
        {
         var not2 = $.Notify.show(data, alert_notify);
        },
        error: function(jqXHR, textStatus, errorThrown)
        {
         var not2 = $.Notify.show(error_connect, alert_notify);
        }
    });
}

function add_song(s_id, p_id){
    $.ajax(
    {
        url : app_url+"post.php?addsong=true",
        type: "POST",
        data : "id="+s_id+"&playlist_id="+p_id,
        success:function(data, textStatus, jqXHR)
        {
         var not2 = $.Notify.show(data, alert_notify);
        },
        error: function(jqXHR, textStatus, errorThrown)
        {
         var not2 = $.Notify.show(error_connect, alert_notify);
        }
    });
}

function open_select_playlist(s_id){
    $.Dialog({
    overlay: true,
    shadow: true,
    flat: false,
    icon: '<i class="icon-playlist" ></i>',
    title: '',
    content: '',
	width: 300,
    onShow: function(_dialog){
    var content = _dialog.children('.content');

        $.ajax(
        {
            url : app_url+"post.php?getselect="+s_id,
            type: "GET",
            success:function(data, textStatus, jqXHR)
            {
                 content.html(data);
            },
			error: function(jqXHR, textStatus, errorThrown)
            {
                content.html(error_connect);
            }
        });
    }   
    });
}

function create_playlist(){

    var playlist_name = $("#playlist_name").val();
	var playlist_desc = $("#playlist_description").val();
    $.ajax(
    {
        url : app_url+"post.php?createplaylist=true",
        type: "POST",
        data : "name="+playlist_name+"&description="+playlist_desc,
        success:function(data, textStatus, jqXHR)
        {
		 var res = data.split("|||",2); 
         var not2 = $.Notify.show(res[1], alert_notify);
		 if(res[0]=="true"){
		 var success_url = app_url+"user/playlists";
         pjax.invoke({
	     url:success_url, 
	    'container': 'content'
	     });
		 
		 }
        },
        error: function(jqXHR, textStatus, errorThrown)
        {
         var not2 = $.Notify.show(error_connect, alert_notify);
        }
    });
}

function delete_playlist(id){
var r = confirm("Confirm !");
if (r == true) {
    $.ajax(
    {
        url : app_url+"post.php?removeplaylist=true",
        type: "POST",
        data : "id="+id,
        success:function(data, textStatus, jqXHR)
        {
		 var res = data.split("|||",2); 
         var not2 = $.Notify.show(res[1], alert_notify);
		 if(res[0]=="true"){
		 var uuid = "playlist_"+id;
		    document.getElementById(uuid).style.cssText = 'display: none;';
		 }
        },
        error: function(jqXHR, textStatus, errorThrown)
        {
         var not2 = $.Notify.show(error_connect, alert_notify);
        }
    });
}
}

function delete_song(id){
var r = confirm("Confirm !");
if (r == true) {
    $.ajax(
    {
        url : app_url+"post.php?deletesong=true",
        type: "POST",
        data : "id="+id,
        success:function(data, textStatus, jqXHR)
        {
		 var res = data.split("|||",2); 
         var not2 = $.Notify.show(res[1], alert_notify);
		 if(res[0]=="true"){
		 var uuid = "song_"+id;
		    document.getElementById(uuid).style.cssText = 'display: none;';
		 }
        },
        error: function(jqXHR, textStatus, errorThrown)
        {
         var not2 = $.Notify.show(error_connect, alert_notify);
        }
    });
}
}

function removefromfavorites(id){
var r = confirm("Confirm !");
if (r == true) {
    $.ajax(
    {
        url : app_url+"post.php?removefromfavorites=true",
        type: "POST",
        data : "id="+id,
        success:function(data, textStatus, jqXHR)
        {
		 var res = data.split("|||",2); 
         var not2 = $.Notify.show(res[1], alert_notify);
		 if(res[0]=="true"){
		 document.getElementById(id).style.cssText = 'display: none;';
		 }
        },
        error: function(jqXHR, textStatus, errorThrown)
        {
         var not2 = $.Notify.show(error_connect, alert_notify);
        }
    });
}
}
function open_download(d_url, mode){
    if(mode=="popup"){
        window.open(d_url+"&ads=yes",'1414604763303','width=700,height=400,toolbar=0,menubar=0,location=0,status=0,scrollbars=0,resizable=1,left=0,top=0');
	} else {
	    window.location = d_url;
	}
}