
-- phpMyAdmin SQL Dump
-- version 3.5.2.2
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Dec 07, 2014 at 02:41 PM
-- Server version: 5.1.67
-- PHP Version: 5.2.17

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `soundcloud`
--

-- --------------------------------------------------------

--
-- Table structure for table `admin`
--

CREATE TABLE IF NOT EXISTS `admin` (
  `id` int(40) NOT NULL AUTO_INCREMENT,
  `username` varchar(500) NOT NULL,
  `password` varchar(500) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `admin`
--

INSERT INTO `admin` (`id`, `username`, `password`) VALUES
(1, 'admin', '21232f297a57a5a743894a0e4a801fc3');

-- --------------------------------------------------------

--
-- Table structure for table `favorites`
--

CREATE TABLE IF NOT EXISTS `favorites` (
  `id` int(40) NOT NULL AUTO_INCREMENT,
  `uid` varchar(500) NOT NULL,
  `user` varchar(500) NOT NULL,
  `date` varchar(500) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `playlists`
--

CREATE TABLE IF NOT EXISTS `playlists` (
  `id` int(40) NOT NULL AUTO_INCREMENT,
  `user` varchar(255) NOT NULL,
  `playlist` varchar(255) NOT NULL,
  `songid` varchar(255) NOT NULL,
  `song_title` varchar(700) NOT NULL,
  `song_artwork` varchar(700) NOT NULL,
  `song_stream` varchar(700) NOT NULL,
  `song_duration` varchar(40) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `playlist_names`
--

CREATE TABLE IF NOT EXISTS `playlist_names` (
  `id` int(40) NOT NULL AUTO_INCREMENT,
  `user_uid` varchar(255) NOT NULL,
  `playlist_name` varchar(40) NOT NULL,
  `description` varchar(700) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `settings`
--

CREATE TABLE IF NOT EXISTS `settings` (
  `id` int(40) NOT NULL AUTO_INCREMENT,
  `name_op` longtext NOT NULL,
  `val` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=63 ;

--
-- Dumping data for table `settings`
--

INSERT INTO `settings` (`id`, `name_op`, `val`) VALUES
(1, 'site_name', 'PHP SOUNDER V2.2'),
(2, 'recaptcha_public_key', '6LdKrPUSAAAAAGaVGkmxmiJX2Yf5lJNx6F0dOmyO'),
(3, 'recaptcha_private_key', '6LdKrPUSAAAAAMQ_LjiRJYtFfmiWvpNM4qp6ot-L'),
(4, 'description', 'description text'),
(5, 'keywords', 'keywords text'),
(6, 'title', 'PHP SOUNDER V2.2'),
(7, 'sidebar_html', ''),
(8, 'footer_html', ''),
(9, 'og_image', 'http://someurl/image.png'),
(10, 'client_id', 'ec3b5db61cb6bb9bd2a227fb54ddb789'),
(11, 'contact_html', '&lt;p&gt;You can edit this page in the Control Panel &lt;/p&gt;'),
(12, 'privacy_html', '&lt;p&gt;You can edit this page in the Control Panel &lt;/p&gt;'),
(13, 'tos_html', '&lt;p&gt;You can edit this page in the Control Panel &lt;/p&gt;'),
(14, 'disclaimer_html', '&lt;p&gt;You can edit this page in the Control Panel &lt;/p&gt;'),
(15, 'offline_html', '&lt;p&gt;You can edit this page in the Control Panel &lt;/p&gt;'),
(16, 'style', 'orange'),
(17, 'top_limit', '20'),
(18, 'offline', 'Off'),
(19, 'limit_favorites', '20'),
(20, 'default_lng', 'en'),
(21, 'email', 'email@email.com'),
(22, 'facebook_provider', 'Off'),
(23, 'facebook_provider_key', ''),
(24, 'facebook_provider_secret', ''),
(25, 'twitter_provider', 'Off'),
(26, 'twitter_provider_key', ''),
(27, 'twitter_provider_secret', ''),
(28, 'google_provider', 'Off'),
(29, 'google_provider_key', ''),
(30, 'google_provider_secret', ''),
(31, 'live_provider', 'Off'),
(32, 'live_provider_key', ''),
(33, 'live_provider_secret', ''),
(34, 'yahoo_provider', 'Off'),
(35, 'yahoo_provider_key', ''),
(36, 'yahoo_provider_secret', ''),
(37, 'linkedin_provider', 'Off'),
(38, 'linkedin_provider_key', ''),
(39, 'linkedin_provider_secret', ''),
(40, 'github_provider', 'Off'),
(41, 'github_provider_key', ''),
(42, 'github_provider_secret', ''),
(43, 'vkontakte_provider', 'Off'),
(44, 'vkontakte_provider_key', ''),
(45, 'vkontakte_provider_secret', ''),
(46, 'yandex_provider', 'Off'),
(47, 'yandex_provider_key', ''),
(48, 'yandex_provider_secret', ''),
(49, 'lastfm_provider', 'Off'),
(50, 'lastfm_provider_key', ''),
(51, 'lastfm_provider_secret', ''),
(52, 'tumblr_provider', 'Off'),
(53, 'tumblr_provider_key', ''),
(54, 'tumblr_provider_secret', ''),
(55, 'foursquare_provider', 'Off'),
(56, 'foursquare_provider_key', ''),
(57, 'foursquare_provider_secret', ''),
(58, 'head_html', ''),
(59, 'comment_mode', 'soundcloud'),
(60, 'disqus_shortname', ''),
(61, 'download_html', ''),
(62, 'd_ads', 'On');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(40) NOT NULL AUTO_INCREMENT,
  `username` varchar(40) NOT NULL,
  `email` varchar(500) NOT NULL,
  `password` varchar(500) NOT NULL,
  `fullname` varchar(500) NOT NULL,
  `provider_name` varchar(255) NOT NULL COMMENT 'Provider name',
  `provider_uid` varchar(255) NOT NULL COMMENT 'Provider user ID',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `username`, `email`, `password`, `fullname`, `provider_name`, `provider_uid`) VALUES
(1, 'member', 'member@member.com', 'aa08769cdcb26674c6706093503ff0a3', 'member', '', '');

-- --------------------------------------------------------

--
-- Table structure for table `views`
--

CREATE TABLE IF NOT EXISTS `views` (
  `id` int(40) NOT NULL AUTO_INCREMENT,
  `uid` varchar(250) NOT NULL,
  `kind` varchar(250) NOT NULL,
  `total` varchar(250) NOT NULL,
  `today_date` varchar(500) NOT NULL,
  `today_views` varchar(500) NOT NULL,
  `week_date` varchar(500) NOT NULL,
  `week_views` varchar(500) NOT NULL,
  `month_date` varchar(500) NOT NULL,
  `month_views` varchar(500) NOT NULL,
  `year_date` varchar(500) NOT NULL,
  `year_views` varchar(500) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=46 ;

--
-- Dumping data for table `views`
--

INSERT INTO `views` (`id`, `uid`, `kind`, `total`, `today_date`, `today_views`, `week_date`, `week_views`, `month_date`, `month_views`, `year_date`, `year_views`) VALUES
(1, '177534452', 'track', '1', '6-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(2, '4904351', 'user', '3', '6-12-2014', '3', '49-2014', '3', '12-2014', '3', '2014', '3'),
(3, '174732881', 'track', '2', '6-12-2014', '2', '49-2014', '2', '12-2014', '2', '2014', '2'),
(4, '199197', 'user', '2', '6-12-2014', '2', '49-2014', '2', '12-2014', '2', '2014', '2'),
(5, '104526330', 'track', '1', '6-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(6, '53621883', 'user', '2', '6-12-2014', '2', '49-2014', '2', '12-2014', '2', '2014', '2'),
(7, '177534454', 'track', '1', '6-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(8, '92040343', 'track', '2', '7-12-2014', '2', '49-2014', '2', '12-2014', '2', '2014', '2'),
(9, '13270589', 'user', '2', '7-12-2014', '2', '49-2014', '2', '12-2014', '2', '2014', '2'),
(10, '132601637', 'track', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(11, '21094388', 'user', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(12, '40639641', 'track', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(13, '14035005', 'user', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(14, '40012500', 'track', '2', '7-12-2014', '2', '49-2014', '2', '12-2014', '2', '2014', '2'),
(15, '13740007', 'user', '2', '7-12-2014', '2', '49-2014', '2', '12-2014', '2', '2014', '2'),
(16, '6820649', 'track', '3', '7-12-2014', '3', '49-2014', '3', '12-2014', '3', '2014', '3'),
(17, '525985', 'user', '3', '7-12-2014', '3', '49-2014', '3', '12-2014', '3', '2014', '3'),
(18, '4293843', 'user', '2', '7-12-2014', '2', '49-2014', '2', '12-2014', '2', '2014', '2'),
(19, '19306009', 'track', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(20, '151511675', 'track', '2', '7-12-2014', '2', '49-2014', '2', '12-2014', '2', '2014', '2'),
(21, '63032436', 'user', '2', '7-12-2014', '2', '49-2014', '2', '12-2014', '2', '2014', '2'),
(22, '37563702', 'track', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(23, '12392424', 'user', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(24, '49173271', 'track', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(25, '18409739', 'user', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(26, '116310765', 'track', '2', '7-12-2014', '2', '49-2014', '2', '12-2014', '2', '2014', '2'),
(27, '43106951', 'user', '2', '7-12-2014', '2', '49-2014', '2', '12-2014', '2', '2014', '2'),
(28, '856062', 'user', '2', '7-12-2014', '2', '49-2014', '2', '12-2014', '2', '2014', '2'),
(29, '157669763', 'track', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(30, '168880116', 'track', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(31, '44550400', 'user', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(32, '159803827', 'track', '2', '7-12-2014', '2', '49-2014', '2', '12-2014', '2', '2014', '2'),
(33, '100478311', 'user', '2', '7-12-2014', '2', '49-2014', '2', '12-2014', '2', '2014', '2'),
(34, '110312171', 'track', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(35, '24982374', 'user', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(36, '156535118', 'track', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(37, '80604020', 'user', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(38, '8032671', 'track', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(39, '1418794', 'user', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(40, '90191545', 'track', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(41, '29940492', 'user', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(42, '16631503', 'track', '2', '7-12-2014', '2', '49-2014', '2', '12-2014', '2', '2014', '2'),
(43, '3091043', 'user', '2', '7-12-2014', '2', '49-2014', '2', '12-2014', '2', '2014', '2'),
(44, '83031976', 'track', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1'),
(45, '27237940', 'user', '1', '7-12-2014', '1', '49-2014', '1', '12-2014', '1', '2014', '1');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
