-- --------------------------------------------------------

ALTER TABLE `users` ADD `provider_name` VARCHAR(255) NOT NULL COMMENT 'Provider name';
ALTER TABLE `users` ADD `provider_uid` VARCHAR(255) NOT NULL COMMENT 'Provider user ID';

-- --------------------------------------------------------

INSERT INTO `settings` (`id`, `name_op`, `val`) VALUES
(22, 'facebook_provider', 'Off'),
(23, 'facebook_provider_key', ''),
(24, 'facebook_provider_secret', ''),
(25, 'twitter_provider', 'Off'),
(26, 'twitter_provider_key', ''),
(27, 'twitter_provider_secret', ''),
(28, 'google_provider', 'Off'),
(29, 'google_provider_key', ''),
(30, 'google_provider_secret', ''),
(31, 'live_provider', 'Off'),
(32, 'live_provider_key', ''),
(33, 'live_provider_secret', ''),
(34, 'yahoo_provider', 'Off'),
(35, 'yahoo_provider_key', ''),
(36, 'yahoo_provider_secret', ''),
(37, 'linkedin_provider', 'Off'),
(38, 'linkedin_provider_key', ''),
(39, 'linkedin_provider_secret', ''),
(40, 'github_provider', 'Off'),
(41, 'github_provider_key', ''),
(42, 'github_provider_secret', ''),
(43, 'vkontakte_provider', 'Off'),
(44, 'vkontakte_provider_key', ''),
(45, 'vkontakte_provider_secret', ''),
(46, 'yandex_provider', 'Off'),
(47, 'yandex_provider_key', ''),
(48, 'yandex_provider_secret', ''),
(49, 'lastfm_provider', 'Off'),
(50, 'lastfm_provider_key', ''),
(51, 'lastfm_provider_secret', ''),
(52, 'tumblr_provider', 'Off'),
(53, 'tumblr_provider_key', ''),
(54, 'tumblr_provider_secret', ''),
(55, 'foursquare_provider', 'Off'),
(56, 'foursquare_provider_key', ''),
(57, 'foursquare_provider_secret', ''),
(58, 'head_html', ''),
(59, 'comment_mode', 'soundcloud'),
(60, 'disqus_shortname', ''),
(61, 'download_html', ''),
(62, 'd_ads', 'On');

-- --------------------------------------------------------

--
-- Table structure for table `playlists`
--

CREATE TABLE IF NOT EXISTS `playlists` (
  `id` int(40) NOT NULL AUTO_INCREMENT,
  `user` varchar(255) NOT NULL,
  `playlist` varchar(255) NOT NULL,
  `songid` varchar(255) NOT NULL,
  `song_title` varchar(700) NOT NULL,
  `song_artwork` varchar(700) NOT NULL,
  `song_stream` varchar(700) NOT NULL,
  `song_duration` varchar(40) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `playlist_names`
--

CREATE TABLE IF NOT EXISTS `playlist_names` (
  `id` int(40) NOT NULL AUTO_INCREMENT,
  `user_uid` varchar(255) NOT NULL,
  `playlist_name` varchar(40) NOT NULL,
  `description` varchar(700) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------