<?php

// Load System files
require_once "load.php";

// remove all html and php tags 
$u = strtolower(strip_tags($_GET['u']));

// Login using Provider
if( !empty($_GET['provider']) && !user_logged){

    require_once( "libs/Hybrid/Auth.php" );
    require_once("sys/social_login.php");
	
}

// Login if(POST login)
if(isset($_POST["submit_login"]) && !empty($_POST["username"]) && !empty($_POST["password"])){

    $username = strip_tags($_POST['username']);
    $password = md5($_POST['password']);
   
    if($GLOBALS["db"]->login($username, $password)){
   
         setcookie("username", $_POST['username'], time()+86000, $GLOBALS["sys"]->get_url("dir"));
         setcookie("password", md5($_POST['password']), time()+86000,  $GLOBALS["sys"]->get_url("dir"));
         header("location: ".$GLOBALS["sys"]->get_url()."user/playlists");
   
    } else {
	     define("error", $GLOBALS["sys"]->lng("alert_error_login"));
    }
   
}

// Add User if(POST signup)
if(isset($_POST["submit_signup"]) && 
   !empty($_POST["username"]) && 
   !empty($_POST["password"])  && 
   !empty($_POST["email"])  && 
   !empty($_POST["fullname"])){

   // clean
   $username = strip_tags($_POST["username"]);
   $email    = strip_tags($_POST["email"]);
   $password = $_POST["password"];
   $fullname = strip_tags($_POST["fullname"]);
   
   // count 
   $count_username = strlen($username);
   $count_password = strlen($password);
   
   // check the minimum characters
   if($count_password !=4 and $count_password > 4){
   
        // check the Maximum characters
        if($count_password !=101 and $count_password < 101){
   
            // check the minimum characters
            if($count_username !=4 and $count_username > 4){
   
                // check the Maximum characters
                if($count_username !=16 and $count_username < 16){
                    if($GLOBALS["db"]->add_user($username, $email, $fullname, $password)){
   
                        // auto login after complete signup !
                        setcookie("username", $username, time()+90000, $GLOBALS["sys"]->get_url("dir"));
                        setcookie("password", md5($password), time()+90000, $GLOBALS["sys"]->get_url("dir"));
                        header("location: ".$GLOBALS["sys"]->get_url()."user/new");
   
                    } else {
                      define("error", $GLOBALS["sys"]->lng("alert_error_signup1"));
                    }
                } else {
                  define("error", $GLOBALS["sys"]->lng("alert_error_signup2"));
                }
          } else {
	        define("error", $GLOBALS["sys"]->lng("alert_error_signup3"));
          }
        } else {
	      define("error", $GLOBALS["sys"]->lng("alert_error_signup4"));
        }
   } else {
	define("error", $GLOBALS["sys"]->lng("alert_error_signup5"));
   }
}

// password recovery
if(isset($_POST["submit_new_password"]) && !empty($_POST["email"])){
   // clean
   $email = strip_tags($_POST['email']);
   
   // load recaptcha lib
   require_once("libs/recaptcha/recaptchalib.php");
   $resp = recaptcha_check_answer (setting_recaptcha_private_key,
                                $_SERVER["REMOTE_ADDR"],
                                $_POST["recaptcha_challenge_field"],
                                $_POST["recaptcha_response_field"]);

   // check
   if ($resp->is_valid) {
        // check
        if($GLOBALS["db"]->check_user("email", "", $email)){
   
            // set new password
            $new_password = rand(11111111, 99999999);
   
            if($GLOBALS["sys"]->send_message(setting_email, $email, $new_password)){
   
                $GLOBALS["db"]->set_new_password($email, $new_password);
                $msg = $GLOBALS["sys"]->lng("alert_success_recovery_password").$email;
                define("error", false);
   
            } else {
                $msg = $GLOBALS["sys"]->lng("alert_error");
                define("error", true);
            }
        } else {
            $msg = $GLOBALS["sys"]->lng("alert_error_recovery_password");
            define("error", true);
        }
    } else {
	    $msg = $GLOBALS["sys"]->lng("alert_error_recaptcha");
	    define("error", true);
    }
}

// Check Login
if(user_logged){
    if($u=="favorites"){

        $page = $GLOBALS["pagination"]->favorites(u_id);
        $current_favorites = $GLOBALS["db"]->get_current_favorites(u_id, $page[0], $page[1]);
        $pagination_print = $page[2];

        // check if Not empty
        if(!$current_favorites){
            define("not_found", true);
        } else {
	        define("not_found", false);
        }
   
        // set the second title
        define("title2", lng_title_favorites);

        // load template
        require_once("template/favorites.php");

    } else if($u=="playlists"){
		
            $pid = trim($_GET['pid']);
			if(empty($pid)){
			
            $current_playlists = $GLOBALS["db"]->get_playlists(u_id);
            // check if Not empty
            if(!is_array($current_playlists)){
                define("not_found", true);
            } else {
	            define("not_found", false);
            }
   
            } else {
			
            $current_songs = $GLOBALS["db"]->get_song_playlist($pid);
            // check if Not empty
            if(!is_array($current_songs)){
                define("not_found", true);
            } else {
	            define("not_found", false);
            }
   
			}
            // set the second title
            define("title2", lng_title_playlists);
            // load template
            require_once("template/playlists.php");

    } else if($u=="new"){

            // set the second title
            define("title2", lng_title_playlists);
            // load template
            require_once("template/playlists.php");
			
	} else if($u=="account"){
   
        // Update user info
        if(isset($_POST['submit_update_account'])){
            if(!empty($_POST['email']) && !empty($_POST['fullname'])){
                $email = strip_tags($_POST['email']);
                $fullname = strip_tags($_POST['fullname']);
                    if(u_email == $email){
                        if($GLOBALS["db"]->update_user(u_id, "fullname", $fullname)){
                              $msg = lng_alert_success_update_user;
				              define("error", false);
			            } else {
				            $msg = lng_alert_error;
				            define("error", true);
			            }
			        } else {
			            if(!$GLOBALS["db"]->check_user("email", "", $email)){
			                if($GLOBALS["db"]->update_user(u_id, "fullname", $fullname) && 
							   $GLOBALS["db"]->update_user(u_id, "email", $email)){
			                    $msg = lng_alert_success_update_user;
			                    define("error", false);
			                } else {
			                    $msg = lng_alert_error;
			                    define("error", true);
			                }
			            } else {
			                $msg = lng_alert_error_email;
			                define("error", true);
			            }  
			        }
            } else {
                $msg = lng_alert_error_empty;
                define("error", true);
            }
        }
   
   // Update user password
   if(isset($_POST['submit_update_password'])){
   
        if(!empty($_POST['password1']) && !empty($_POST['password2'])){
   
            if($_POST['password1'] == $_POST['password2']){
                $password = $_POST['password1'];
                $count_password = strlen($password);
                    // check the minimum characters
                    if($count_password !=4 and $count_password > 4){
   
                        // check the Maximum characters
                        if($count_password !=101 and $count_password < 101){
                            if($GLOBALS["db"]->update_user(u_id, "password", $password)){
                                header("location: ".$GLOBALS["sys"]->get_url()."user/login");
                            } else {
                               $msg = lng_alert_error;
                               define("error", true);
                            }
                        } else {
                           $msg = $GLOBALS["sys"]->lng("alert_error_signup4");
                           define("error", true);
                        }
                    } else {
                        $msg = $GLOBALS["sys"]->lng("alert_error_signup5");
                        define("error", true);
                    }
            } else {
               $msg = lng_alert_error_password_match;
               define("error", true);
            }
        } else {
           $msg = lng_alert_error_empty;
           define("error", true);
        }
   }
   
   // set the second title
   define("title2", lng_title_account);

   // load template
   require_once("template/account.php");

    } else {
        header("location: ".$GLOBALS["sys"]->get_url()."user/playlists"); 
	}

}else{

    if($u=="recovery_password"){
   
        // set the second title
        define("title2", lng_title_forget_password);

        // load template
        require_once("template/recovery_password.php");

    } elseif ($u=="signup"){

        // set the second title
        define("title2", lng_title_signup);

        // load template
        require_once("template/signup.php");

    }else{

        // set the second title
        define("title2", lng_title_login);

        // load template
        require_once("template/login.php");

    }

}
?>