<?php

//Hide all errors
Error_reporting(E_All);

// Load config file
require_once("../inc/config.php");

include 'sys/admin_class.php';
$GLOBALS["admin"] = new admin;

include 'sys/db_class.php';
$GLOBALS["db"] = new db;

include 'sys/pagination_class.php';
$GLOBALS["pagination"] = new pagination;

// Load Templates array
require_once("../template/config/templates.php");

// Get settings
foreach($GLOBALS["db"]->get_settings() as $key => $value)
{
    define("setting_".strtolower($key), $value);
}

// check login
define("admin_logged", $GLOBALS["db"]->login_admin($_COOKIE['username_admin'], $_COOKIE['password_admin']));

// Get all language values
foreach($GLOBALS["admin"]->lng("", "all") as $key => $value)
{
    define("lng_".strtolower($key), $value);
}

?>