<?php
class pagination{

	
    function pages($total_pages, $adjacents, $targetpage, $limit, $page, $start, $scroll, $met){
	
 /* Setup page vars for display. */
 
        if ($page == 0) $page = 1;                    //if no page var is given, default to 1.
        $prev = $page - 1;                            //previous page is page - 1
        $next = $page + 1;                            //next page is page + 1
        $lastpage = ceil($total_pages/$limit);        //lastpage is = total pages / items per page, rounded up.
        $lpm1 = $lastpage - 1;     
 
 /*
 Now we apply our rules and draw the pagination object.
 We're actually saving the code to a variable in case we want to draw it more than once.
 */
 
        $pagination = "";
        if($lastpage > 1)
        {
        $pagination .= "<ul class='pagination' >";
		
        //previous button
		
        if ($page > 1)
        $pagination.= "<li><a class='' href=\"$targetpage".$met."".$prev."".$scroll."\"> << </a></li>";
        else
        $pagination.= "<li class=\"disabled\"><a class='' href=\"#\" > << </a></li>";

        //pages
		
        if ($lastpage < 7 + ($adjacents * 2))    //not enough pages to bother breaking it up
        {
        for ($counter = 1; $counter <= $lastpage; $counter++)
        {
        if ($counter == $page)
        $pagination.= "<li class=\"active\"><a class='' href=\"#\" >$counter</a></li>";
        else
        $pagination.= "<li><a class='' href=\"$targetpage".$met."$counter".$scroll."\">$counter</a></li>";
        }
        }
        elseif($lastpage > 5 + ($adjacents * 2))    //enough pages to hide some
        {
		
        //close to beginning; only hide later pages
		
        if($page < 1 + ($adjacents * 2))
        {
        for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
        {
        if ($counter == $page)
        $pagination.= "<li class=\"active\"><a class='' href=\"#\" >$counter</a></li>";
        else
        $pagination.= "<li ><a class='' href=\"$targetpage".$met."$counter".$scroll."\">$counter</a></li>";
        }
        $pagination.= "<li><a  class='' href=\"#\">...</a></li>";
        $pagination.= "<li><a class='' href=\"$targetpage".$met."$lpm1".$scroll."\">$lpm1</a>";
        $pagination.= "<li><a class='' href=\"$targetpage".$met."$lastpage".$scroll."\">$lastpage</a></li>";
        }
		
        //in middle; hide some front and some back
		
        elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
        {
        $pagination.= "<li><a class='' href=\"$targetpage".$met."1".$scroll."\">1</a></li>";
        $pagination.= "<li><a class='' href=\"$targetpage".$met."2".$scroll."\">2</a></li>";
        $pagination.= "<li><a  class='' href=\"#\">...</a></li>";
        for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
        {
        if ($counter == $page)
        $pagination.= "<li class=\"active\" ><a  class='' href=\"#\" >$counter</a></li>";
        else
        $pagination.= "<li><a class='' href=\"$targetpage".$met."$counter".$scroll."\">$counter</a></li>";
        }
        $pagination.= "<li><a  class='' href=\"#\">...</a></li>";
        $pagination.= "<li><a class='' href=\"$targetpage".$met."$lpm1".$scroll."\">$lpm1</a></li>";
        $pagination.= "<li><a class='' href=\"$targetpage".$met."$lastpage".$scroll."\">$lastpage</a></li>";
        }
		
        //close to end; only hide early pages
		
        else
        {
        $pagination.= "<li><a class='' href=\"$targetpage".$met."1".$scroll."\">1</a></li>";
        $pagination.= "<li><a class='' href=\"$targetpage".$met."2".$scroll."\">2</a></li>";
        $pagination.= "<li><a  class='' href=\"#\">...</a></li>";
        for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
        {
        if ($counter == $page)
        $pagination.= "<li class=\"active\"><a  class='' href=\"#\" >$counter</a></li>";
        else
        $pagination.= "<li><a class='' href=\"$targetpage".$met."$counter".$scroll."\">$counter</a></li>";
        }
        }
        }
		
        //next button
		
        if ($page < $counter - 1)
        $pagination.= "<li><a class='' href=\"$targetpage".$met."$next".$scroll."\"> >> </a></li>";
        else
        $pagination.= "<li class=\"disabled\"><a class='' href=\"#\"> >> </a></li>";
        $pagination.= "</ul>\n";
        }
		return $pagination;
    }

	public function users(){
        $id = $user_id;
        // How many adjacent pages should be shown on each side?
        $adjacents = 2;
        $total_pages = $GLOBALS["db"]->count("users");
		
//* Setup vars for query. */

        //your file name  (the name of this file)
        $targetpage = $GLOBALS["admin"]->get_url()."users.php";
		//how many items to show per page
        $limit = 30;
        $page = $_GET['p'];
        if($page)
		    //first item to display on this page
            $start = ($page - 1) * $limit;
        else
		    //if no page var is given, set start to 1
            $start = 0;
		    $pag = $this->pages($total_pages, $adjacents, $targetpage, $limit, $page, $start, "", "?p=");
		    $res_fetch = array($start, $limit, $pag);
            return $res_fetch;
	}

}
?>