<?php

Error_reporting(E_All);

// Load System files
require_once "load.php";

// Detect AJAX Request
if( !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest'){

    //Add
    if($_GET['addtofavorites']){ 

        if(user_logged){

            if(!empty($_POST['id'])){

                $uid = strip_tags($_POST['id']);
                $add = $GLOBALS["db"]->add_track(u_id, $uid);

                if($add[0]){

                    echo lng_success." : ".$add[1];

                }else{

                    echo lng_error." : ".$add[1];

                }
            }
        } else {

            echo lng_alert_error_login_notify;

        }
    }

    //Remove
    if($_GET['removefromfavorites']){

        if(user_logged){

            if(!empty($_POST['id'])){

                $uid = strip_tags($_POST['id']);
                $add = $GLOBALS["db"]->delete_track(u_id, $uid);

                    if($add[0]){

                        echo "true|||".lng_success." : ".$add[1];

                    } else {

                        echo "false|||".lng_error." : ".$add[1];

                    }
            }
			
        } else {

            echo "false|||".lng_alert_error_login_notify;

        }
    }

    //Remove
    if($_GET['removeplaylist']){

        if(user_logged){

            if(!empty($_POST['id'])){

                $uid = strip_tags($_POST['id']);
                $del = $GLOBALS["db"]->delete_playlist(u_id, $uid);

                    if($del){

                        echo "true|||".lng_success;

                    } else {

                        echo "false|||".lng_error;

                    }
            } else {
                echo "false|||".lng_error;
            }
        } else {

            echo "false|||".lng_alert_error_login_notify;

        }
    }

    //Remove
    if($_GET['deletesong']){

        if(user_logged){

            if(!empty($_POST['id'])){

                $uid = strip_tags($_POST['id']);
                $del = $GLOBALS["db"]->delete_song_playlist(u_id, $uid);

                    if($del){

                        echo "true|||".lng_success;

                    } else {

                        echo "false|||".lng_error;

                    }
            } else {
                echo "false|||".lng_error;
            }
        } else {

            echo "false|||".lng_alert_error_login_notify;

        }
    }
	
    //Add
    if($_GET['stats']){ 
        if(!empty($_POST['id']) && !empty($_POST['user'])){

            $id = trim(strip_tags($_POST['id']));
            $user = trim(strip_tags($_POST['user']));

                //check if Browser allow cookies to check
                if($GLOBALS["sys"]->check_cookie()){
                    $check = $GLOBALS["get"]->get_track($id);
                    $all_data_cookies = $_COOKIE['last_track'];
                    $array_cookies = explode("__", $_COOKIE['last_track']);
                    $count_cookies = count($array_cookies);
                        if($check->kind=="track" && !in_array($id, $array_cookies)  && $check->streamable=="true"){
                            if($id!="undefined" && $user!="undefined"){

                                // Update data from database
                                $GLOBALS["db"]->update_views($id, "track");
                                $GLOBALS["db"]->update_views($user, "user");

                                // protect (SPAM)
                                setcookie("last_track", $all_data_cookies."__".$id, time()+860000, $GLOBALS["sys"]->get_url("dir"));

                            }
                        }
                        // clear
                        if($count_cookies > 6){
                            setcookie("last_track", "::".$id, time()+860000, $GLOBALS["sys"]->get_url("dir"));
                        }
                }
        }
    }

    if($_GET['stream']){ 
        if(!empty($_POST['id'])){

            $d_id = trim(strip_tags($_POST['id']));
            $donwload_link = $GLOBALS["get"]->download($d_id, "stream");

            echo $donwload_link;

        }
    }
	

    if($_GET['createplaylist']){ 
	//check login
	if(user_logged){
        if(!empty($_POST['name'])){

            $name         = strip_tags($_POST['name']);
			$description  = strip_tags($_POST['description']);
            $check_exists = $GLOBALS["db"]->check_playlist_existe(u_id, $name);
			$count_name   = strlen($name);
            if(!$check_exists){
			    if($count_name !=21 and $count_name < 21){
				    if($count_name !=3 and $count_name > 3){
					    $count_n = $GLOBALS["db"]->count_playlist_names(u_id);
					    if($count_n !=61 and $count_n < 61){
				            // add
			                $ex_add = $GLOBALS["db"]->add_playlist_name(u_id, $name, $description);
				            if($ex_add){
                                echo "true|||".lng_alert_success_playlists; 
				            } else {
				                echo "false|||".lng_alert_error;
				            }
						} else {
						    echo "false|||".lng_alert_error_playlist6; 
						}
					} else {
					    echo "false|||".lng_alert_error_playlist2; 
					}
				} else {
				    echo "false|||".lng_alert_error_playlist3; 
				}
			
			} else {
			   echo "false|||".lng_alert_error_playlist1; 
			}

        }
	} else {
	    echo "false|||".lng_alert_error_login_notify;
	}
    }
	
	
	
    if($_GET['addsong']){ 
	//check login
	if(user_logged){
        if( !empty($_POST['id']) && !empty($_POST['playlist_id']) ){

            $id       = strip_tags(trim($_POST['id']));
			$p_id     = strip_tags(trim($_POST['playlist_id']));
			$check    = $GLOBALS["db"]->check_playlist_existe(u_id, $p_id, "byid");
			
			if($check){
				$check1   = $GLOBALS["db"]->check_song_existe($id, $p_id);
			    if(!$check1){
				    $check2   = $GLOBALS["db"]->count_playlist($p_id);
				    if( $check2 !=41 && $check2 < 41 && !$check1){
			    	    $get_s    = $GLOBALS["get"]->get_track($id);
			            $add_song = $GLOBALS["db"]->add_song(u_id, 
			                                    $p_id, 
									            $id, 
									            $get_s->title, 
									            $GLOBALS["sys"]->img($get_s->artwork_url, "100", $get_s->user->avatar_url), 
									            $GLOBALS["get"]->download($get_s->id), 
								    	        $GLOBALS["sys"]->time_convert($get_s->duration));
                        if($add_song){
                            echo lng_alert_success_song_added; 
			            } else {
			                echo lng_alert_error; 
			            }
					} else {
					    echo lng_alert_error_playlist5; 
					}
				} else {
			        echo lng_alert_error_playlist4; 
			    }
            } else {
			    echo lng_alert_error_playlist_user; 
			} 
        } else {
     		echo "error posting data"; 
		}
	} else {
	    echo lng_alert_error_login_notify;
	}
    }

    if(!empty($_GET['getselect'])){
	    $s_id = strip_tags(trim($_GET['getselect']));
	    //check login
	    if(user_logged){
            $get_playlists = $GLOBALS["db"]->get_playlists(u_id);
			if( !empty($get_playlists) ){
			    echo '<div style="margin-top: 4px; height: 200px; overflow: auto;" ><center>';
			    foreach($get_playlists as $playlist){
				    echo '<a onclick="add_song('.$s_id.', '.$playlist[id].');" class="button primary large block" >'.$playlist[playlist_name].' + </a><br>';
				}
				echo '</center><br><hr></div>';
			} else {
			    echo lng_alert_error_empty_playlist;
			}
	    } else {
	        echo lng_alert_error_login_notify;
	    }
    }
	
} else { 
    header("location: ".$GLOBALS["sys"]->get_url()."page/404");
}
?>