<?php

if( !empty($_GET['provider']) ){
$provider = strtolower(strip_tags($_GET['provider']));
$config = array(
		"base_url" => $GLOBALS["sys"]->get_url()."connect.php", 
        ///"proxy" => "127.0.0.1:3128", 
		
		"providers" => array ( 
		
			"Yahoo" => array ( 
				"enabled" => true,
				"keys"    => array ( "key" => setting_yahoo_provider_key, "secret" => setting_yahoo_provider_secret )
			),
            
			"Google" => array ( 
				"enabled" => true,
				"keys"    => array ( "id" => setting_google_provider_key, "secret" => setting_google_provider_secret ),
				"scope" => "https://www.googleapis.com/auth/userinfo.profile ". // optional
                           "https://www.googleapis.com/auth/userinfo.email"  // optional
			),
            
			"Facebook" => array ( 
				"enabled" => true,
				"keys"    => array ( "id" => setting_facebook_provider_key, "secret" => setting_facebook_provider_secret ),
                "scope"   => "email, user_about_me, user_birthday, user_hometown", // optional
                "display" => "popup", // optional
				"trustForwarded" => false
			),
            
			"Twitter" => array ( 
				"enabled" => true,
				"keys"    => array ( "key" => setting_twitter_provider_key, "secret" => setting_twitter_provider_secret ) 
			),

			"Live" => array ( 
				"enabled" => true,
				"keys"    => array ( "id" => setting_live_provider_key, "secret" => setting_live_provider_secret ) 
			),
			
			"LinkedIn" => array ( 
				"enabled" => true,
				"keys"    => array ( "key" => setting_linkedin_provider_key, "secret" => setting_linkedin_provider_secret ) 
			),
			
			"Github" => array ( 
				"enabled" => true,
				"keys"    => array ( "id" => setting_github_provider_key, "secret" => setting_github_provider_secret ) 
			),
			
			"Vkontakte" => array ( 
				"enabled" => true,
				"keys"    => array ( "id" => setting_vkontakte_provider_key, "secret" => setting_vkontakte_provider_secret ) 
			),
			
			"Yandex" => array ( 
				"enabled" => true,
				"keys"    => array ( "id" => setting_yandex_provider_key, "secret" => setting_google_yandex_secret )
			),
			
			"LastFM" => array ( 
				"enabled" => true,
				"keys"    => array ( "key" => setting_lastfm_provider_key, "secret" => setting_lastfm_provider_secret )
			),
			
			"Tumblr" => array ( 
				"enabled" => true,
				"keys"    => array ( "key" => setting_tumblr_provider_key, "secret" => setting_tumblr_provider_secret )
			),
			
			"Foursquare" => array ( 
				"enabled" => true,
				"keys"    => array ( "id" => setting_foursquare_provider_key, "secret" => setting_foursquare_provider_secret )
			)
		),

		// If you want to enable logging, set 'debug_mode' to true.
		// You can also set it to
		// - "error" To log only error messages. Useful in production
		// - "info" To log info and error messages (ignore debug messages) 
		"debug_mode" => false,

		// Path to file writable by the web server. Required if 'debug_mode' is not false
		"debug_file" => "",
	);
    
	function do_login($identifier, $provider){
	
            $id  = $GLOBALS["db"]->get_id_by_provider($identifier, $provider);
            setcookie("p_name", $provider, time()+86000, $GLOBALS["sys"]->get_url("dir"));
            setcookie("p_uid", $identifier, time()+86000,  $GLOBALS["sys"]->get_url("dir"));
			setcookie("p_id", md5($id), time()+86000,  $GLOBALS["sys"]->get_url("dir"));
			header("location: ".$GLOBALS["sys"]->get_url()."user/playlists");
	
	}
	
    switch($provider){
        case 'facebook': 
		try{
            $hybridauth = new Hybrid_Auth( $config );
            $adapter = $hybridauth->authenticate( "Facebook" );
            $user_profile = $adapter->getUserProfile(); 
		} 
		catch( Exception $e ){
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		if( $GLOBALS["db"]->add_user("", "", "".$user_profile->displayName."", "", $user_profile->identifier, "Facebook") ) {
		    
            do_login($user_profile->identifier, "Facebook");
			 
		} else {
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		break;
        case 'yahoo': 
		try{
            $hybridauth = new Hybrid_Auth( $config );
            $adapter = $hybridauth->authenticate( "Yahoo" );
            $user_profile = $adapter->getUserProfile(); 
		} 
		catch( Exception $e ){
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		if( $GLOBALS["db"]->add_user("", "", "".$user_profile->displayName."", "", $user_profile->identifier, "Yahoo") ) {
		    
            do_login($user_profile->identifier, "Yahoo");
			 
		} else {
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		break;
        case 'twitter': 
		try{
            $hybridauth = new Hybrid_Auth( $config );
            $adapter = $hybridauth->authenticate( "Twitter" );
            $user_profile = $adapter->getUserProfile(); 
		} 
		catch( Exception $e ){
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		if( $GLOBALS["db"]->add_user("", "", "".$user_profile->displayName."", "", $user_profile->identifier, "Twitter") ) {
		    
            do_login($user_profile->identifier, "Twitter");
			 
		} else {
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		break;
        case 'google': 
		try{
            $hybridauth = new Hybrid_Auth( $config );
            $adapter = $hybridauth->authenticate( "Google" );
            $user_profile = $adapter->getUserProfile(); 
		} 
		catch( Exception $e ){
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		if( $GLOBALS["db"]->add_user("", "", "".$user_profile->displayName."", "", $user_profile->identifier, "Google") ) {
		    
            do_login($user_profile->identifier, "Google");
			 
		} else {
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error".$user_profile->identifier);
		}
		break;
        case 'github': 
		try{
            $hybridauth = new Hybrid_Auth( $config );
            $adapter = $hybridauth->authenticate( "Github" );
            $user_profile = $adapter->getUserProfile(); 
		} 
		catch( Exception $e ){
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		if( $GLOBALS["db"]->add_user("", "", "".$user_profile->displayName."", "", $user_profile->identifier, "Github") ) {
		    
            do_login($user_profile->identifier, "Github");
			 
		} else {
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		break;
        case 'live': 
		try{
            $hybridauth = new Hybrid_Auth( $config );
            $adapter = $hybridauth->authenticate( "Live" );
            $user_profile = $adapter->getUserProfile(); 
		} 
		catch( Exception $e ){
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		if( $GLOBALS["db"]->add_user("", "", "".$user_profile->displayName."", "", $user_profile->identifier, "Live") ) {
		    
            do_login($user_profile->identifier, "Live");
			 
		} else {
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		break;
        case 'vkontakte': 
		try{
            $hybridauth = new Hybrid_Auth( $config );
            $adapter = $hybridauth->authenticate( "Vkontakte" );
            $user_profile = $adapter->getUserProfile(); 
		} 
		catch( Exception $e ){
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		if( $GLOBALS["db"]->add_user("", "", "".$user_profile->displayName."", "", $user_profile->identifier, "Vkontakte") ) {
		    
            do_login($user_profile->identifier, "Vkontakte");
			 
		} else {
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		break;
        case 'linkedin': 
		try{
            $hybridauth = new Hybrid_Auth( $config );
            $adapter = $hybridauth->authenticate( "LinkedIn" );
            $user_profile = $adapter->getUserProfile(); 
		} 
		catch( Exception $e ){
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		if( $GLOBALS["db"]->add_user("", "", "".$user_profile->displayName."", "", $user_profile->identifier, "LinkedIn") ) {
		    
            do_login($user_profile->identifier, "LinkedIn");
			 
		} else {
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		break;
        case 'yandex': 
		try{
            $hybridauth = new Hybrid_Auth( $config );
            $adapter = $hybridauth->authenticate( "Yandex" );
            $user_profile = $adapter->getUserProfile(); 
		} 
		catch( Exception $e ){
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		if( $GLOBALS["db"]->add_user("", "", "".$user_profile->displayName."", "", $user_profile->identifier, "Yandex") ) {
		    
            do_login($user_profile->identifier, "Yandex");
			 
		} else {
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		break;
        case 'lastfm': 
		try{
            $hybridauth = new Hybrid_Auth( $config );
            $adapter = $hybridauth->authenticate( "LastFM" );
            $user_profile = $adapter->getUserProfile(); 
		} 
		catch( Exception $e ){
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		if( $GLOBALS["db"]->add_user("", "", "".$user_profile->displayName."", "", $user_profile->identifier, "LastFM") ) {
		    
            do_login($user_profile->identifier, "LastFM");
			 
		} else {
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		break;
        case 'tumblr': 
		try{
            $hybridauth = new Hybrid_Auth( $config );
            $adapter = $hybridauth->authenticate( "Tumblr" );
            $user_profile = $adapter->getUserProfile(); 
		} 
		catch( Exception $e ){
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		if( $GLOBALS["db"]->add_user("", "", "".$user_profile->displayName."", "", $user_profile->identifier, "Tumblr") ) {
		    
            do_login($user_profile->identifier, "Tumblr");
			 
		} else {
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		break;
        case 'foursquare': 
		try{
            $hybridauth = new Hybrid_Auth( $config );
            $adapter = $hybridauth->authenticate( "Foursquare" );
            $user_profile = $adapter->getUserProfile(); 
		} 
		catch( Exception $e ){
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		if( $GLOBALS["db"]->add_user("", "", "".$user_profile->displayName."", "", $user_profile->identifier, "Foursquare") ) {
		    
            do_login($user_profile->identifier, "Foursquare");
			 
		} else {
			header("location: ".$GLOBALS["sys"]->get_url()."user/login#error");
		}
		break;
		default:
		    header("location: ".$GLOBALS["sys"]->get_url()."user/login#select-provider");
		break;
	}
}